2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.mdp, Makefile.am, data, data/WebControlsToolbox.xml:
	  Removed unused files.
	* AspNetEdit.Integration/ToolboxProvider.cs,
	  AspNetEdit.Integration/AspNetEditViewContent.cs: Track changes in
	  the api.

2007-06-08  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Integration/EditorProcess.cs,
	  AspNetEdit.Integration/AspNetEditViewContent.cs: An attempt to 
	  handle errors more gracefully, and some attempts to handle 
	  document 'dirtiness' (not quite working).

2007-05-13  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* libs/jscall.dll, libs/JSCall.js: Having removed the unmanaged 
	  dependencies from JSCall#, we can now bundle it. Yay!
	
	* chrome/content/aspdesigner/editor.js,
	  AspNetEdit.Editor.UI/RootDesignerView.cs: Track JSCall# API changes.
	
	* Makefile.am: Add libs/jscall.dll to build.
	
	* chrome/Makefile.am: Take account of new JSCALL_SCRIPT location.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.mdp: Copy the .addins.xml file to the output dir.

2007-05-07  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* AspNetEdit.Editor.Persistence/ControlPersister.cs: Special-case the 
	  ID attribute, as a workaround for possible issue on some Mono 
	  versions. Need to follow this up.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.addin.xml: Migration to Mono.Addins.

2007-04-24  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.mdp, Makefile.am: Fix build.

2007-03-07  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* AspNetEdit.Editor.Persistence/ServerControlParsingObject.cs:
	  Use lowercase comparison for event prefix.
	  
	* AspNetEdit.Integration/MonoDevelopProxy.cs: Ensure GUI thread safety
	  for event binding.

2007-03-07  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/Makefile.am: The install tasks should depend on the files 
	  they're installing.

2007-03-06  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Integration/AspNetEditViewContent.cs,
	  AspNetEdit.Integration/MonoDevelopProxy.cs:
	  Ensure that remoted MonoDevelopProxy object is kept available by 
	  overriding InitializeLifetimeService, and make sure to disconnect 
	  it afterwards.

2007-03-06  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.mdp: Don't local-copy references.
	* AspNetEdit.Integration/AspNetEditViewContent.cs: Implement
	  ICustomPropertyPadProvider in the frame that contains the editor,
	  and return the remote property grid when requested.

2007-02-24  Michael Hutchinson <m.j.hutchinson@gmail.com> 
	
	* AspNetEdit.Editor.UI/RootDesignerView.cs: New UpdateRender method.
	Change behaviour of JSDeserializeAndAdd. It's a one-way function now;
	JS can give just offload pasted ASP.NET code to host and forget about 
	it. The C# host will take it from there.
	
	* AspNetEdit.Editor/EditorHost.cs:
	Bump some code into GUI thread so it can handle exceptions. It's less 
	fragile than remoting.
	Use ToolboxDataAttribute attributes when handling toolbox items. Relies
	on improvements to Document.InsertFragment.
	
	* AspNetEdit.Editor.ComponentModel/Document.cs,
	* AspNetEdit.Editor.ComponentModel/DesignerHost.cs,
	* AspNetEdit.Editor.Persistence/ServerControlParsingObject.cs:
	Change the places in which controls are created, initialised 
	and added to document.
	Document.InsertFragment now handles ASP.NET code.
	
	* AspNetEdit.Editor.Persistence/ServerControlParsingObject.cs:
	Don't allow a tag's innerText to overwrite value from property if it's 
	empty.
	
	* AspNetEdit.Editor.Persistence/DesignTimeParser.cs:
	Rename ParseDocument to ProcessFragment.
	
	* AspNetEdit.Editor.Persistence/RootParsingObject.cs:
	Rename BuildObject to GetParsedContent and change signature.
	
	* AspNetEdit.Editor.ComponentModel/NameCreationService.cs:
	Make name generation case insensitive, becuase ASP.NET is.
	
	* AspNetEdit.Integration/EditorProcess.cs: Add a trace statement.
	
	* AspNetEdit.Integration/AspNetEditViewContent.cs: Remove extra "using"

	* chrome/content/aspdesigner/editor.js: Remove debugging alert.
	
	* Makefile.am.
	* AspNetEdit.mdp: Updated. Enable some autotools integration.

2007-02-24  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Makefile.am: Eliminate unnecessary copy during build.
	
	* chrome/content/aspdesigner/xpcom.js,
	* chrome/content/aspdesigner/editor.js: Fixed some JS warnings.
	Fixed aspdesigner initialisation bug with Mozilla/Gecko >= 1.8, such 
	as Firefox >= 1.5.
	
	* AspNetEdit.Editor.ComponentModel/NameCreationService.cs: Use 
	Int.TryParse now instead of catching exceptions.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.mdp: Updated MD project.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetEdit.Integration/AspNetEditDisplayBinding.cs,
	  AspNetEdit.Integration/AspNetEditViewContent.cs: Use the new
	  GetContent method instead of casting the view to the required
	  interface.

2007-01-18  Michael Hutchinson <m.j.hutchinson@gmail.com>
	
	* AspNetEdit.mdp
	* Makefile.am:
	* AspNetEdit.Editor.Persistence/*: Remove duplicated files by 
	referencing tokeniser in AspNetAddIn.Parser.Internal. Eventually I'll 
	fully unify the two parsers.
	
	* AspNetEditDisplayBinding.cs: Handle unsaved filenames.

2006-11-26  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Integration/EditorProcess.cs:
	* AspNetEdit.Editor/EditorHost.cs: Exceptions coming through the 
	EditorHost constructor aren't being passed up to EditorProcess LoadGui 
	method. Not sure why, and no time to follow it up right now, but 
	implemented a workaround.
	
	* AspNetEdit.Editor/EditorHost.cs: When disposing, don't
	assume that designerView was created successfully.
	
	* AspNetEdit.Integration/MonoDevelopProxy.cs: Added a way to
	access the MessageService from the out-of-process designer.
	

2006-11-14  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* data/WebControlsToolbox.xml: Default toolbox file of ASP.NET 2.0 
	  controls, including simple icons.
	* AspNetEdit.Integration/ToolboxProvider.cs: A new 
	  IToolboxDefaultProvider that loads the default controls.
	
	* AspNetEdit.mdp:
	* Makefile.am:
	* AspNetEdit.addin.xml: added files to build and AddIn

2006-10-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Editor/EditorHost.cs: Invoke the assembly loading 
	  capability of ToolboxItemToolboxNode. Part 1 of getting custom 
	  controls to load. 

2006-10-11  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Editor.Persistence/ControlPersister.cs: More general
	  workaround for NotImplementedExceptions in properties and events.

2006-10-07  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Editor.Persistence/ControlPersister.cs: Hack around a 
	  NotImplementedException in Mono's ASP.NET 2.0. Temporary solution!

2006-08-23  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/Makefile.am: Remove JSCall.js from EXTRA_DIST.

2006-08-18  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/Makefile.am: Fixed chrome deploymnent on Mozilla 1.7.
	* chrome/README: Update to track chrome deployment changes.

2006-08-17  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Makefile.am:
	* chrome/Makefile.am:
	* chrome/aspdesigner.manifest.in: Make crome installation work on 
	  FF1.5. It is most likely now broken for Mozilla < 1.8 and FF < 1.5.
	  
	* Extras/AspNetEdit/chrome/chrome.manifest:
	* Extras/AspNetEdit/chrome/ChangeLog: Remove old files.
	  
	* Extras/AspNetEdit/chrome/README: Update to reflect new chrome 
	  deployment mechanism.

2006-08-05 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.mdp:
	* Makefile.am:
	  Track new files.
	
	* AspNetEdit.Editor.UI/RootDesignerView.cs:
	  Give JS more time to return a document.
	
	* AspNetEdit.Integration/EditorProcess.cs:
	  New object for the remoted process. This simplifies GUI thread 
	  handling.
	
	* AspNetEdit.Integration/AspNetEditViewContent.cs:
	  Use EditorProcess instead of EditorHost.
	  Create designer when doc is shown, and destroy when hidden, because 
	  the designer process is a heavyweight object.
	  Track IToolboxConsumer interface change. 
	
	* AspNetEdit.Integration/MonoDevelopProxy.cs:
	  Provides remoted designer with access to methods in MD process, 
	  mainly for event binding.
	
	* AspNetEdit.Editor/EditorHost.cs:
	  Split away from EditorProcess, and use GuiSyncObject to simplify 
	  threading.
	  Expose lots of methods and objects.
	  Add an IEventBindingService utilising MonoDevelopProxy.
	
	* AspNetEdit.Editor.ComponentModel/DesignContainer.cs:
	  Prevent unnecessary generation of extra component names.
	
	* AspNetEdit.Editor.ComponentModel/Document.cs:
	* AspNetEdit.Editor.ComponentModel/DesignerHost.cs:
	  Make it easier to load a document from a string rather than a stream.
	
	* AspNetEdit.Editor.ComponentModel/EventBindingService.cs:
	  Use MonoDevelopProxy to make this actually work.

2006-07-29 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Integration/*:
	* AspNetEdit.Editor/*:
	* Makefile.am:
	* AspNetEdit.mdp:
	* AspNetEdit.addin.xml:
	  Import MD AspNetEdit AddIn.
	  
	* AspNetEdit.Editor.UI/RootDesignerView.cs:
	  Use MonoDevelop.Components.HtmlControl.MozillaControl, because it 
	  contains a workaround for Gecko# redraw issues with MD's docking 
	  library.
	  
	* AspNetEdit.Editor.UI/PropertyGrid.cs:
	  Track property grid widget, becuase it has moved to 
	  MonoDevelop.DesignerSupport.
	  
	* AspNetEdit.Editor.ComponentModel/DesignContainer.cs:
	* AspNetEdit.Editor.ComponentModel/DesignerHost.cs:
	  Add more debug traces.

2006-07-15 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/locale/*:
	* chrome/chrome/*:
	* chrome/Makefile.am: Restructure jar to make it work with Mozilla. Fix 
	  nasty bug that broke Mozilla installations. Note that this extension 
	  is still unlikely to work with anything newer than Mozilla 1.6.

2006-06-24 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/locale/en-US/contents.rdf
	* chrome/install.rdf
	* chrome/chrome.manifest
	* chrome/Makefile.am: Make chrome installable on Firefox, and build an 
	  XPI extension. Unfortunately gtkmozembed doesn't appear to load 
	  extensions, so we still have to install into the browser's chrome.

2006-05-12  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* AspNetEdit.Editor.ComponentModel/TypeResolutionService.cs: Don't 
	  error out too easily when looking up types. Also, resolve assembly-
	  qualified type names.

2006-04-26  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* AspNetEdit.Editor.ComponentModel/ToolboxService.cs: Convert the 
	  ToolboxItem arrays properly or they become null when empty, and 
	  ToolboxItemCollection gets unhappy. 

2006-01-16 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Editor.ComponentModel/MenuCommandService.cs:
	* AspNetEdit.Editor.ComponentModel/WebFormPage.cs:
	* AspNetEdit.Editor.ComponentModel/Document.cs: Reduce trivial warnings.
	  
	* AspNetEdit.Editor.Persistence/DesignTimeParser.cs: Reduce trivial 
	  warnings.
	  
	* AspNetEdit.Editor.UI/RootDesignerView.cs: make exception more 
	  informative.
	  
	* chrome/Makefile.am: find installed-chrome.txt in correct location.

2005-11-28 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetEdit.Editor.ComponentModel/Document.cs:
	* AspNetEdit.Editor.ComponentModel/DesignerHost.cs:
	  Avoid duplicating controls in container when loading and unloading.
	  
	* AspNetEdit.Editor.Persistence/ServerControlParsingObject.cs: Add 
	  child collection objects to parent control.

2005-10-05  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* chrome/Makefile.am: Added .js files from Blago's reorganisation to the 
	chrome deployment.
